Subject: RE: [pim] I

From: Cormier Chris-ACC125 <[email-masked]>
Date: Wed, 28 Jan 2004 08:59:26 -0600

If you drop 1 IP fragment of the RP set, you would lose the whole RP set. If you drop a single PIM fragment, you can still recover the rest of the RP set.
-cgc

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Rajamanickam jaganbabu
Sent: Wednesday, January 28, 2004 4:09 AM
To: Rajamanickam jaganbabu; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [pim] I

Sorry, i have over looked.. It is possible when the MTU is more than 65565 bytes which is very possible in the case of OC interfaces.

Rajamanickam jaganbabu <[email-masked]> wrote: 

Hi jzwiebel,
   Aruts is right, IP will take care of fragment/defragment the packets, so i don't think we need to take care of fragment/defragment in the application level (PIM protocol level). But I can't imagine the case where my MTU is more than 65565 bytes, which IP can't hold. I think it is Ok to remove the fragmentation overhead in the PIM protocol.
    I think this will apply for all the fragmentation which PIM is supporting, For example even in PIM SM while sending the Register message.
 
Thanx,
Jags

<[email-masked]> wrote:

Hi,

IP actually does reassembly before it gives it to PIM and
PIM receives the complete packet intact.I have seen it work!

So, I don`t understand the need for a fragmentation flag!

Thanks,
Arut

--- On Tue 01/27, Benjamin Black < [email-masked] > wrote:
From: Benjamin Black [mailto: [email-masked]]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 27 Jan 2004 19:54:05 -0800
Subject: Re: [pim] PIM BSM fragmentation

put a slightly different way:

PIM can generate a message larger than the maximum size for a single IP 
packet, so it must be able to reassemble things when a single PIM 
message is fragmented over multiple IP packets.

ben

On Jan 27, 2004, at 5:25 PM, John Zwiebel wrote:

>
> On Jan 27, 2004, at 5:16 PM, "" wrote:
>
>>
>> I would like to know why fragmentation support (read fragmentation 
>> tag) is required at PIM level when IP is already doing it.
>>
>
> Because if IP does it, it may not include all the source for a given 
> group within the same
> packet.
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pim
>
>

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

 <http://in.mobile.yahoo.com/> Yahoo! India Mobile: Ringtones, Wallpapers, Picture Messages and more. Download  <http://in.mobile.yahoo.com/> now.

 <http://in.mobile.yahoo.com> Yahoo! India Mobile: Ringtones, Wallpapers, Picture Messages and more. Download  <http://in.mobile.yahoo.com> now.